**Use-cases for each NGX-Bootstrap component show examples of using it by user**

## Accordion

[Examples. Basic](accordion/accordion.examples.basic.use-case.md)

[Examples. Group opening event](accordion/accordion.examples.group-open.use-case.md)

[Examples. Custom-html](accordion/accordion.examples.custom-html.use-case.md)

[Examples. Disabled](accordion/accordion.examples.disabled.use-case.md)

[Examples. Initially opened](accordion/accordion.examples.initially-opened.use-case.md)

[Examples. Dynamic accordion](accordion/accordion.examples.dynamic.use-case.md)

[Examples. Dynamic body content](accordion/accordion.examples.dynamic-body.use-case.md)

[Examples. Manual toggle](accordion/accordion.examples.manual-toggle.use-case.md)

[Examples. Open only one at a time](accordion/accordion.examples.only-one.use-case.md)

[Examples. Styling](accordion/accordion.examples.styling.use-case.md)

[Examples. Configuring defaults](accordion/accordion.examples.conf-defaults.use-case.md)


## Alerts

[Examples. Basic](alerts/alerts.examples.basic.use-case.md)

[Examples. Link color](alerts/alerts.examples.link-color.use-case.md)

[Examples. Additional content](alerts/alerts.examples.add-content.use-case.md)

[Examples. Dismissing](alerts/alerts.examples.dismiss.use-case.md)

[Examples. Dynamic html](alerts/alerts.examples.dynamic-html.use-case.md)

[Examples. Dynamic content](alerts/alerts.examples.dynamic-content.use-case.md)

[Examples. Dismiss on timeout](alerts/alerts.examples.dismiss-on-time.use-case.md)

[Examples. Global styling](alerts/alerts.examples.glob-styling.use-case.md)

[Examples. Component level styling](alerts/alerts.examples.comp-styling.use-case.md)

[Examples. Configuring defaults](alerts/alerts.examples.conf-defaults.use-case.md)

## Buttons

[Buttons examples. Basic](buttons/buttons.examples.basic.use-case.md)

[Buttons examples. Checkbox](buttons/buttons.examples.checkbox.use-case.md)

[Buttons examples. Custom checkbox value](buttons/buttons.examples.custom-checkbox.use-case.md)

[Buttons examples. Checkbox with Reactive Forms](/buttons/buttons.examples.reactive-checkbox.use-case.md)

[Buttons examples. Radio](buttons/buttons.examples.radio.use-case.md)

[Buttons examples. Uncheckable Radio](buttons/buttons.examples.uncheckable-radio.use-case.md)

[Buttons examples. Radio with Reactive Forms](buttons/buttons.examples.reactive-radio.use-case.md)

[Buttons examples. Disabled Buttons](dbuttons/buttons.examples.disabled-buttons.use-case.md)


## Carousel

[Carousel. Basic](carousel/carousel.examples.basic.use-case.md)

[Carousel. Optional captions](carousel/carousel.examples.optional-captions.use-case.md)

[Carousel. Configuring defaults](carousel/carousel.examples.config-defaults.use-case.md)

[Carousel. Dynamic Slides](carousel/carousel.examples.dynamic-slides.use-case.md)

[Carousel. Pause on hover](carousel/carousel.examples.pause-on-hover.use-case.md)

[Carousel. Custom content](carousel/carousel.examples.custom-content.use-case.md)

[Carousel. Disable slide looping](carousel/carousel.examples.disable-looping.use-case.md)

[Carousel. Disable indicator](carousel/carousel.examples.disable-indicator.use-case.md)

[Carousel. Interval](carousel/carousel.examples.interval.use-case.md)

[Carousel. Slide changed event](carousel/carousel.examples.slide-changed-event.use-case.md)

[Carousel. Accessibility](carousel/carousel.examples.accessibility.use-case.md)

## Collapse

[Collapse. Basic](collapse/collapse.examples.basic.use-case.md)

[Collapse. Events](collapse/collapse.examples.events.use-case.md)

[Collapse. Manual toggle](collapse/collapse.examples.manual-toggle.use-case.md)

[Collapse. Accessibility](collapse/collapse.examples.accessibility.use-case.md)

## Datepicker

## Dropdowns

## Modals

[Service examples. Template](modals/modals.service-examples.template.use-case.md)

[Service examples. Component](modals/modals.service-examples.component.use-case.md)

[Service examples. Nested](modals/modals.service-examples.nested.use-case.md)

[Service examples. Scrolling long content](modals/modals.service-examples.scrolling-long-content.use-case.md)

[Service examples. Events](modals/modals.service-examples.events.use-case.md)

[Service examples. Confirm Window](modals/modals.service-examples.confirm-window.use-case.md)

[Service examples. Сustom css class](modals/modals.service-examples.custom-css-class.use-case.md)

[Service examples. Animation option](modals/modals.service-examples.animation-option.use-case.md)

[Service examples. Esc closing option](modals/modals.service-examples.esc-closing-option.use-case.md)

[Service examples. Modal window with tooltip and popover](modals/modals.service-examples.tooltip-and-popover.use-case.md)

[Service examples. Backdrop options](modals/modals.service-examples.backdrop-options.use-case.md)

[Directive examples. Static modal](modals/modals.directive-examples.static-modal.use-cases.md)

[Directive examples. Optional sizes](modals/modals.directive-examples.optional-sizes.md)

[Directive examples. Child modal](modals/modals.directive-examples.child-modal.use-case.md)

[Directive examples. Nested modals](modals/modals.directive-examples.nested-modals.use-cases.md)

[Directive examples. Modal events](modals/modals.directive-examples.modal-events.use-cases.md)

[Directive examples. Auto shown modal](modals/modals.directive-examples.auto-shown-modal.md)


## Pagination

## Popover

## Progressbar

## Rating

## Sortable

## Tabs

## Timepicker

## Tooltip

## Typeahead
